import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI);

// 导入全局样式表
import './assets/css/global.css'
import './permission' // permission control
Vue.config.productionTip = false

// 引入vue-amap
import VueAMap from 'vue-amap';
Vue.use(VueAMap);

import * as echarts from 'echarts'
Vue.prototype.$echarts = echarts;

// 初始化vue-amap
VueAMap.initAMapApiLoader({
  key: '7c0390cf6ae1cd6afeef85becf6fa515',
  plugin: ['AMap.Geocoder', 'AMap.ReverseGeocode'], // 添加您需要的插件
  v: '1.4.4', // 指定版本
  uiVersion: '1.0'
});

window._AMapSecurityConfig = {
  securityJsCode: "fb3133f64cddac06df9888ec1a4b3ad5",
}
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
